published on Wednesday, Oct 29, 2025 by CAST AI
published on Wednesday, Oct 29, 2025 by CAST AI
Using GetHibernationScheduleDataSource
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getHibernationScheduleDataSource(args: GetHibernationScheduleDataSourceArgs, opts?: InvokeOptions): Promise<GetHibernationScheduleDataSourceResult>
function getHibernationScheduleDataSourceOutput(args: GetHibernationScheduleDataSourceOutputArgs, opts?: InvokeOptions): Output<GetHibernationScheduleDataSourceResult>def get_hibernation_schedule_data_source(cluster_assignments: Optional[Sequence[_rebalancing.GetHibernationScheduleDataSourceClusterAssignment]] = None,
name: Optional[str] = None,
organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetHibernationScheduleDataSourceResult
def get_hibernation_schedule_data_source_output(cluster_assignments: Optional[pulumi.Input[Sequence[pulumi.Input[_rebalancing.GetHibernationScheduleDataSourceClusterAssignmentArgs]]]] = None,
name: Optional[pulumi.Input[str]] = None,
organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetHibernationScheduleDataSourceResult]func GetHibernationScheduleDataSource(ctx *Context, args *GetHibernationScheduleDataSourceArgs, opts ...InvokeOption) (*GetHibernationScheduleDataSourceResult, error)
func GetHibernationScheduleDataSourceOutput(ctx *Context, args *GetHibernationScheduleDataSourceOutputArgs, opts ...InvokeOption) GetHibernationScheduleDataSourceResultOutputpublic static class GetHibernationScheduleDataSource
{
public static Task<GetHibernationScheduleDataSourceResult> InvokeAsync(GetHibernationScheduleDataSourceArgs args, InvokeOptions? opts = null)
public static Output<GetHibernationScheduleDataSourceResult> Invoke(GetHibernationScheduleDataSourceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetHibernationScheduleDataSourceResult> getHibernationScheduleDataSource(GetHibernationScheduleDataSourceArgs args, InvokeOptions options)
public static Output<GetHibernationScheduleDataSourceResult> getHibernationScheduleDataSource(GetHibernationScheduleDataSourceArgs args, InvokeOptions options)
fn::invoke:
function: castai:rebalancing:GetHibernationScheduleDataSource
arguments:
# arguments dictionaryThe following arguments are supported:
- name String
- cluster
Assignments List<Property Map> - organization
Id String
GetHibernationScheduleDataSource Result
The following output properties are available:
- Cluster
Assignments List<Pulumi.Cast AI. Rebalancing. Outputs. Get Hibernation Schedule Data Source Cluster Assignment> - Enabled bool
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- Pause
Configs List<Pulumi.Cast AI. Rebalancing. Outputs. Get Hibernation Schedule Data Source Pause Config> - Resume
Configs List<Pulumi.Cast AI. Rebalancing. Outputs. Get Hibernation Schedule Data Source Resume Config> - Organization
Id string
- Cluster
Assignments GetHibernation Schedule Data Source Cluster Assignment - Enabled bool
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- Pause
Configs GetHibernation Schedule Data Source Pause Config - Resume
Configs GetHibernation Schedule Data Source Resume Config - Organization
Id string
- cluster
Assignments List<GetHibernation Schedule Data Source Cluster Assignment> - enabled Boolean
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- pause
Configs List<GetHibernation Schedule Data Source Pause Config> - resume
Configs List<GetHibernation Schedule Data Source Resume Config> - organization
Id String
- cluster
Assignments rebalancingGet Hibernation Schedule Data Source Cluster Assignment[] - enabled boolean
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- pause
Configs rebalancingGet Hibernation Schedule Data Source Pause Config[] - resume
Configs rebalancingGet Hibernation Schedule Data Source Resume Config[] - organization
Id string
- cluster_
assignments Sequence[rebalancing.Get Hibernation Schedule Data Source Cluster Assignment] - enabled bool
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- pause_
configs Sequence[rebalancing.Get Hibernation Schedule Data Source Pause Config] - resume_
configs Sequence[rebalancing.Get Hibernation Schedule Data Source Resume Config] - organization_
id str
- cluster
Assignments List<Property Map> - enabled Boolean
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- pause
Configs List<Property Map> - resume
Configs List<Property Map> - organization
Id String
Supporting Types
GetHibernationScheduleDataSourceClusterAssignment
GetHibernationScheduleDataSourceClusterAssignmentAssignment
- Cluster
Id string - ID of the cluster.
- Cluster
Id string - ID of the cluster.
- cluster
Id String - ID of the cluster.
- cluster
Id string - ID of the cluster.
- cluster_
id str - ID of the cluster.
- cluster
Id String - ID of the cluster.
GetHibernationScheduleDataSourcePauseConfig
- Enabled bool
- Enables or disables the pause configuration.
- Schedule
Pulumi.
Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Pause Config Schedule
- Enabled bool
- Enables or disables the pause configuration.
- Schedule
Get
Hibernation Schedule Data Source Pause Config Schedule
- enabled Boolean
- Enables or disables the pause configuration.
- schedule
Get
Hibernation Schedule Data Source Pause Config Schedule
- enabled boolean
- Enables or disables the pause configuration.
- schedule
rebalancing
Get Hibernation Schedule Data Source Pause Config Schedule
- enabled bool
- Enables or disables the pause configuration.
- schedule
rebalancing.
Get Hibernation Schedule Data Source Pause Config Schedule
- enabled Boolean
- Enables or disables the pause configuration.
- schedule Property Map
GetHibernationScheduleDataSourcePauseConfigSchedule
- Cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- Cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression String Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron_
expression str Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression String Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
GetHibernationScheduleDataSourceResumeConfig
- Enabled bool
- Enables or disables the pause configuration.
- Job
Config Pulumi.Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config - Schedule
Pulumi.
Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Schedule
- Enabled bool
- Enables or disables the pause configuration.
- Job
Config GetHibernation Schedule Data Source Resume Config Job Config - Schedule
Get
Hibernation Schedule Data Source Resume Config Schedule
- enabled Boolean
- Enables or disables the pause configuration.
- job
Config GetHibernation Schedule Data Source Resume Config Job Config - schedule
Get
Hibernation Schedule Data Source Resume Config Schedule
- enabled boolean
- Enables or disables the pause configuration.
- job
Config rebalancingGet Hibernation Schedule Data Source Resume Config Job Config - schedule
rebalancing
Get Hibernation Schedule Data Source Resume Config Schedule
- enabled bool
- Enables or disables the pause configuration.
- job_
config rebalancing.Get Hibernation Schedule Data Source Resume Config Job Config - schedule
rebalancing.
Get Hibernation Schedule Data Source Resume Config Schedule
- enabled Boolean
- Enables or disables the pause configuration.
- job
Config Property Map - schedule Property Map
GetHibernationScheduleDataSourceResumeConfigJobConfig
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfig
- Instance
Type string - Instance type.
- Config
Id string - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- Config
Name string - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- Gpu
Config Pulumi.Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Gpu Config - Kubernetes
Labels Dictionary<string, string> - Custom labels to be added to the node.
- Kubernetes
Taints List<Pulumi.Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Kubernetes Taint> - Custom taints to be added to the node created from this configuration.
- Node
Affinities List<Pulumi.Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity> - Custom taints to be added to the node created from this configuration.
- Spot
Configs List<Pulumi.Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Spot Config> - Custom taints to be added to the node created from this configuration.
- Subnet
Id string - Node subnet ID.
- Volumes
List<Pulumi.
Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Volume> - Zone string
- Zone of the node.
- Instance
Type string - Instance type.
- Config
Id string - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- Config
Name string - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- Gpu
Config GetHibernation Schedule Data Source Resume Config Job Config Node Config Gpu Config - Kubernetes
Labels map[string]string - Custom labels to be added to the node.
- Kubernetes
Taints GetHibernation Schedule Data Source Resume Config Job Config Node Config Kubernetes Taint - Custom taints to be added to the node created from this configuration.
- Node
Affinities GetHibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity - Custom taints to be added to the node created from this configuration.
- Spot
Configs GetHibernation Schedule Data Source Resume Config Job Config Node Config Spot Config - Custom taints to be added to the node created from this configuration.
- Subnet
Id string - Node subnet ID.
- Volumes
Get
Hibernation Schedule Data Source Resume Config Job Config Node Config Volume - Zone string
- Zone of the node.
- instance
Type String - Instance type.
- config
Id String - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- config
Name String - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- gpu
Config GetHibernation Schedule Data Source Resume Config Job Config Node Config Gpu Config - kubernetes
Labels Map<String,String> - Custom labels to be added to the node.
- kubernetes
Taints List<GetHibernation Schedule Data Source Resume Config Job Config Node Config Kubernetes Taint> - Custom taints to be added to the node created from this configuration.
- node
Affinities List<GetHibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity> - Custom taints to be added to the node created from this configuration.
- spot
Configs List<GetHibernation Schedule Data Source Resume Config Job Config Node Config Spot Config> - Custom taints to be added to the node created from this configuration.
- subnet
Id String - Node subnet ID.
- volumes
List<Get
Hibernation Schedule Data Source Resume Config Job Config Node Config Volume> - zone String
- Zone of the node.
- instance
Type string - Instance type.
- config
Id string - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- config
Name string - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- gpu
Config rebalancingGet Hibernation Schedule Data Source Resume Config Job Config Node Config Gpu Config - kubernetes
Labels {[key: string]: string} - Custom labels to be added to the node.
- kubernetes
Taints rebalancingGet Hibernation Schedule Data Source Resume Config Job Config Node Config Kubernetes Taint[] - Custom taints to be added to the node created from this configuration.
- node
Affinities rebalancingGet Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity[] - Custom taints to be added to the node created from this configuration.
- spot
Configs rebalancingGet Hibernation Schedule Data Source Resume Config Job Config Node Config Spot Config[] - Custom taints to be added to the node created from this configuration.
- subnet
Id string - Node subnet ID.
- volumes
rebalancing
Get Hibernation Schedule Data Source Resume Config Job Config Node Config Volume[] - zone string
- Zone of the node.
- instance_
type str - Instance type.
- config_
id str - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- config_
name str - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- gpu_
config rebalancing.Get Hibernation Schedule Data Source Resume Config Job Config Node Config Gpu Config - kubernetes_
labels Mapping[str, str] - Custom labels to be added to the node.
- kubernetes_
taints Sequence[rebalancing.Get Hibernation Schedule Data Source Resume Config Job Config Node Config Kubernetes Taint] - Custom taints to be added to the node created from this configuration.
- node_
affinities Sequence[rebalancing.Get Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity] - Custom taints to be added to the node created from this configuration.
- spot_
configs Sequence[rebalancing.Get Hibernation Schedule Data Source Resume Config Job Config Node Config Spot Config] - Custom taints to be added to the node created from this configuration.
- subnet_
id str - Node subnet ID.
- volumes
Sequence[rebalancing.
Get Hibernation Schedule Data Source Resume Config Job Config Node Config Volume] - zone str
- Zone of the node.
- instance
Type String - Instance type.
- config
Id String - ID reference of Node Configuration to be used for node creation. Supersedes 'config_name' parameter.
- config
Name String - Name reference of Node Configuration to be used for node creation. Superseded if 'config_id' parameter is provided.
- gpu
Config Property Map - kubernetes
Labels Map<String> - Custom labels to be added to the node.
- kubernetes
Taints List<Property Map> - Custom taints to be added to the node created from this configuration.
- node
Affinities List<Property Map> - Custom taints to be added to the node created from this configuration.
- spot
Configs List<Property Map> - Custom taints to be added to the node created from this configuration.
- subnet
Id String - Node subnet ID.
- volumes List<Property Map>
- zone String
- Zone of the node.
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigGpuConfig
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigKubernetesTaint
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigNodeAffinity
- Dedicated
Group string - Key of a taint to be added to nodes created from this template.
- Affinities
List<Pulumi.
Cast AI. Rebalancing. Inputs. Get Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity Affinity>
- Dedicated
Group string - Key of a taint to be added to nodes created from this template.
- Affinities
Get
Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity Affinity
- dedicated
Group String - Key of a taint to be added to nodes created from this template.
- affinities
List<Get
Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity Affinity>
- dedicated
Group string - Key of a taint to be added to nodes created from this template.
- affinities
rebalancing
Get Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity Affinity[]
- dedicated_
group str - Key of a taint to be added to nodes created from this template.
- affinities
Sequence[rebalancing.
Get Hibernation Schedule Data Source Resume Config Job Config Node Config Node Affinity Affinity]
- dedicated
Group String - Key of a taint to be added to nodes created from this template.
- affinities List<Property Map>
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigNodeAffinityAffinity
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigSpotConfig
- Price
Hourly string - Spot instance price. Applicable only for AWS nodes.
- Spot bool
- Whether node should be created as spot instance.
- Price
Hourly string - Spot instance price. Applicable only for AWS nodes.
- Spot bool
- Whether node should be created as spot instance.
- price
Hourly String - Spot instance price. Applicable only for AWS nodes.
- spot Boolean
- Whether node should be created as spot instance.
- price
Hourly string - Spot instance price. Applicable only for AWS nodes.
- spot boolean
- Whether node should be created as spot instance.
- price_
hourly str - Spot instance price. Applicable only for AWS nodes.
- spot bool
- Whether node should be created as spot instance.
- price
Hourly String - Spot instance price. Applicable only for AWS nodes.
- spot Boolean
- Whether node should be created as spot instance.
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigVolume
- raid
Configs List<GetHibernation Schedule Data Source Resume Config Job Config Node Config Volume Raid Config> - size
Gib Integer - Volume size in GiB.
- raid
Configs List<Property Map> - size
Gib Number - Volume size in GiB.
GetHibernationScheduleDataSourceResumeConfigJobConfigNodeConfigVolumeRaidConfig
- Chunk
Size intKb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
- Chunk
Size intKb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
- chunk
Size IntegerKb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
- chunk
Size numberKb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
- chunk_
size_ intkb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
- chunk
Size NumberKb - Specify the RAID0 chunk size in kilobytes, this parameter affects the read/write in the disk array and must be tailored for the type of data written by the workloads in the node. If not provided it will default to 64KB
GetHibernationScheduleDataSourceResumeConfigSchedule
- Cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- Cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression String Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression string Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron_
expression str Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
- cron
Expression String Cron expression defining when the schedule should trigger.
The
cronexpression can optionally include theCRON_TZvariable at the beginning to specify the timezone in which the schedule should be interpreted.Example:
CRON_TZ=America/New_York 0 12 * * ?In the example above, the
CRON_TZvariable is set to "America/New_York" indicating that the cron expression should be interpreted in the Eastern Time (ET) timezone.To retrieve a list of available timezone values, you can use the following API endpoint:
GET https://api.cast.ai/v1/time-zones
When using the
CRON_TZvariable, ensure that the specified timezone is valid and supported by checking the list of available timezones from the API endpoint. If theCRON_TZvariable is not specified, the cron expression will be interpreted in the UTC timezone.
Package Details
- Repository
- castai castai/pulumi-castai
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
castaiTerraform Provider.
published on Wednesday, Oct 29, 2025 by CAST AI
